package com.atimetrik.poc.controller;

import com.atimetrik.poc.dto.ProductDetails;
import com.atimetrik.poc.services.FoodCartServices;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController

@RequestMapping("api/v1")
public class FoodCartController {

    @Autowired
    FoodCartServices shoppingCartServices;

    @GetMapping("/getProducts")
    public ResponseEntity<List<ProductDetails>> getProducts(){
      List<ProductDetails> products  = shoppingCartServices.getProducts();

      return ResponseEntity.ok(products);

    }

    @DeleteMapping("/removeProducts")
    public void removeProducts(@RequestBody ProductDetails p){
        shoppingCartServices.removeProducts(p);

    }

    @PostMapping ("/addProducts")
    @CrossOrigin(origins="http://localhost:3008/")
    public void addProducts(@RequestBody ProductDetails p){

        shoppingCartServices.addProducts(p);

    }
    @PutMapping("/updateProducts")
    public void updateProducts(@RequestBody ProductDetails p){
        shoppingCartServices.updateProduct(p);

    }
}
